{
    "name": "crafter-math",
    "configurations": [
        {
            "name": "base",
            "standard": "c++26",
            "source_files": [],
            "module_files": ["Crafter.Math-Vector", "Crafter.Math-BasicTypes", "Crafter.Math-MatrixCollumMajor", "Crafter.Math-MatrixRowMajor", "Crafter.Math-Misc", "Crafter.Math"],
            "build_dir": "./build",
            "output_dir": "./bin"
        },
        {
            "name": "debug",
            "type": "executable",
            "source_files": ["main"],
            "optimization_level": "3",
            "extends":["base"]
        },
        {
            "name": "lib",
            "extends": ["base"],
            "type":"library"
        },
        {
            "name": "debug-lib",
            "extends": ["lib"],
            "optimization_level": "0"
        },
        {
            "name": "release-lib",
            "extends": ["lib"],
            "optimization_level": "3"
        }
    ]
}
